## libwibble 0.1.9

=== CMakeLists.txt ===
SET( VERSION "0.1.9" )

SET( BOOST_INCLUDE_PATH
	/usr/include/boost-1_33_1/
	CACHE PATH
	"Path to the Boost include files" )
ADD_SUBDIRECTORY( wibble )
