=== debian/changelog ===
libwibble (0.1.9) unstable; urgency=low

  * Added sys/fs.h functions mkpath, mkFilePath, mkdirIfMissing

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Oct 2006 17:34:27 +0100

libwibble (0.1.8) unstable; urgency=low

  * build-depend on libboost-dev

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 10:01:10 +0200

libwibble (0.1.7) unstable; urgency=low

  * empty and singleton iterators now work with STL algorithms

 -- Enrico Zini <enrico@debian.org>  Sat, 30 Sep 2006 16:27:05 +0200

libwibble (0.1.6) unstable; urgency=low

  * Fixed various bugs in wibble::commandline manpage generation
  * Return size_t instead of unsigned int for empty and singleton containers,
    like the other STL classes do.

 -- Enrico Zini <enrico@debian.org>  Fri, 29 Sep 2006 22:47:42 +0200

libwibble (0.1.5) unstable; urgency=low

  * Fixed the stock commandline parsers to actually honor --help and --version
    switches

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Sep 2006 00:19:00 +0100

libwibble (0.1.4) unstable; urgency=low

  * Use more efficient algorithm in wibble::operators
  * Some fixes in Mutex.h after guessnet started to use it

 -- Enrico Zini <enrico@debian.org>  Sat, 23 Sep 2006 17:44:56 +0100

libwibble (0.1.3) unstable; urgency=low

  * Allow library users to decide if they want libgc support or not
    by providing two different pkg-config files and aclocal macros

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Aug 2006 12:42:49 +0100

libwibble (0.1.2) unstable; urgency=low

  * Applied patch by Andreas Jochens.  Closes: #384432.

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Aug 2006 22:42:16 +0100

libwibble (0.1.1) unstable; urgency=low

  * Split tests from the rest of the .cpp code, so that they don't end up
    included in the library
  * Add linker flags for libgc to pkg-config file if support for gc is enabled

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Aug 2006 23:51:22 +0100

libwibble (0.1) unstable; urgency=low

  * Initial Release.  This library is to become a dependency for tagcoll,
    apt-front, debtags, buffy, adept and possibly more.

 -- Enrico Zini <enrico@debian.org>  Wed, 16 Aug 2006 16:53:51 +0100
