=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# comment out autotools and uncomment cmake to use cmake
#include /usr/share/cdbs/1/class/autotools.mk
include debian/cmake.mk

DEB_MAKE_CHECK_TARGET := check
# Comment out the following line to use cmake
DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo
