## libwibble 0.1.10ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SET( VERSION "0.1.9" )
+SET( VERSION "0.1.10" )
 
 SET( BOOST_INCLUDE_PATH
 	/usr/include/boost-1_33_1/
