=== wibble/CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,16 @@
 file( GLOB WSRC_TOP *.cpp )
 file( GLOB WSRC_CMDL commandline/*.cpp )
 file( GLOB WSRC_SYS sys/*.cpp )
+file( GLOB WSRC_LOG log/*.cpp )
+file( GLOB WSRC_TEXT text/*.cpp )
 file( GLOB H_TOP *.h )
 file( GLOB H_CMDL commandline/*.h )
 file( GLOB H_SYS sys/*.h )
+file( GLOB H_LOG log/*.h )
+file( GLOB H_TEXT text/*.h )
 file( GLOB TCC_TOP *.tcc )
 
-SET( WSRC ${WSRC_TOP} ${WSRC_CMDL} ${WSRC_SYS} )
+SET( WSRC ${WSRC_TOP} ${WSRC_CMDL} ${WSRC_SYS} ${WSRC_LOG} ${WSRC_TEXT} )
 
 set_source_files_properties( ${WSRC} COMPILE_FLAGS -fPIC )
 
@@ -17,6 +21,8 @@
 INSTALL_FILES( /include/wibble .tcc ${TCC_TOP} )
 INSTALL_FILES( /include/wibble/commandline .h ${H_CMDL} )
 INSTALL_FILES( /include/wibble/sys .h ${H_SYS} )
+INSTALL_FILES( /include/wibble/log .h ${H_LOG} )
+INSTALL_FILES( /include/wibble/text .h ${H_TEXT} )
 INSTALL_FILES( /include/wibble .h ${wibble_BINARY_DIR}/config.h )
 
 CONFIGURE_FILE( ${wibble_SOURCE_DIR}/config.h.cmake-in
