=== wibble/tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 ADD_EXECUTABLE( commandline-demo commandline-demo.cpp )
 TARGET_LINK_LIBRARIES( commandline-demo wibble pthread )
 
+#set_target_properties( libwibble-test PROPERTIES LINK_FLAGS ${GC_LINK_FLAGS} )
+
 ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data-stamp
   COMMAND touch data-stamp )
@@ -18,4 +20,4 @@
 ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tut-syms.cpp
   DEPENDS ${wibble_BINARY_DIR}/libwibble.a
-  COMMAND sh ${CMAKE_SOURCE_DIR}/extract_syms.sh ${wibble_BINARY_DIR}/libwibble.a wibble_sym_references > tut-syms.cpp )
+  COMMAND bash ${CMAKE_SOURCE_DIR}/extract_syms.sh ${wibble_BINARY_DIR}/libwibble.a wibble_sym_references > tut-syms.cpp )
