=== debian/changelog ===
libwibble (0.1.10ubuntu2) gutsy; urgency=low

  * Fix build failures with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2007 14:16:15 +0200

libwibble (0.1.10ubuntu1) gutsy; urgency=low

  * Use bash to call extract_syms.sh, it's full of bashisms, and worse, was
    pulled from libtool code.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 10 Jun 2007 21:26:11 +1000

libwibble (0.1.10) unstable; urgency=low

  * Added missing includes, applying tbm's patch.  Closes: #417368.
  * Added a way to see if an option was set or not.
  * Added wibble/text/wordwrap

 -- Enrico Zini <enrico@debian.org>  Thu, 24 May 2007 11:11:48 +0200
