## libwibble 0.1.15

=== CMakeLists.txt ===
include( FindDoxygen )
set( VERSION "0.1.15" )
option( HAVE_TUT ON )
add_subdirectory( wibble )
add_subdirectory( doc )
