=== debian/changelog ===
libwibble (0.1.15) unstable; urgency=low

  * Yaml parsing
  * Base64 codec
  * Path manipulations including abspath
  * Compiles with -Wall -Werror
  * Implemented repeatable options that accumulate values in a vector

 -- Enrico Zini <enrico@debian.org>  Mon, 10 Mar 2008 23:03:19 +0100

libwibble (0.1.14) unstable; urgency=low

  * Fixed a C++ error that mysteriously only shows up on ARM.
  * Fixed XS-Vcs-Darcs field

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Feb 2008 10:19:29 +0000

libwibble (0.1.13) unstable; urgency=low

  * Builds with GCC 4.3.  Closes: #455630
  * Build and install Doxygen documentation.

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Jan 2008 20:58:09 +0100

libwibble (0.1.12) unstable; urgency=low

  [ Enrico Zini ]
  * Split the repository in embeddable and standalone
  * Allow commandline-using programs to output a manpage just with --manpage
    and without needing --manpage=/dev/null
  * Added X-Vcs-Darcs: header
  * Added missing include.  Closes: #455630.

  [ Petr Rockai ]
  * Add a new header, wibble/sfinae.h to ease execution of SFINAE
    pattern: substitution failure is not an error (consult google),
  * change internals of Amorph to not require boost, consequently:
  * remove boost build dependency.
  * Completely new testing framework is now part of wibble.

 -- Petr Rockai <mornfall@debian.org>  Wed, 23 Jan 2008 00:12:19 +0100

libwibble (0.1.11) unstable; urgency=low

  * Added wibble::Splitter, to split strings using regexps
  * Added wibble::str::* collection of little useful string operations
  * Added missing include.  Closes: #441562.

 -- Enrico Zini <enrico@debian.org>  Mon, 17 Sep 2007 16:37:10 +0200
