=== debian/control ===
Source: libwibble
Section: libdevel
Priority: optional
Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
Uploaders: Petr Rockai <mornfall@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, doxygen, cmake
Standards-Version: 3.7.3
Vcs-Darcs: http://people.debian.org/~enrico/wibble/standalone

Package: libwibble-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Description: Library of various useful C++ code
 libwibble collects the foundation code that has been used over time
 in various C++ projects by Peter Rockai and Enrico Zini, so that it can
 be maintained properly and in a single place.
 .
 The library contains:
  * an exception hierarchy;
  * various useful mixin classes;
  * shortcuts for set operations;
  * a commandline parser that supports cvs-style subcommands;
  * improved macros for tut unit testing;
  * a non-intrusive polymorphic envelope.
