## libwibble 0.1.19

=== CMakeLists.txt ===
include( FindDoxygen )
set( VERSION "0.1.18" )
option( HAVE_TUT ON )
add_subdirectory( wibble )
add_subdirectory( doc )
