=== debian/changelog ===
libwibble (0.1.19) unstable; urgency=low

  * Add missing constructors for some core::list classes,
  * fix some compiler warnings.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 23:05:58 +0200

libwibble (0.1.18) unstable; urgency=low

  * Added versioned dependency on CDBS.  Closes: #486590.

 -- Enrico Zini <enrico@debian.org>  Tue, 17 Jun 2008 12:37:08 +0100

libwibble (0.1.17) unstable; urgency=low

  [ Enrico Zini ]
  * Fixes for OS X,
  * simplistic mmap support,
  * PosixBuf,
  * allow to use Splitter with STL algorithms,
  * bugfixes.

  [ Petr Rockai ]
  * Get back setValue for options in commandline parser,
  * added TPair to wibble/sfinae.h,
  * include a generic list utility library,
  * implement simple formatting (str::fmt) of sets and lists,
  * a new assert implementation,
  * fix a bug in build system that caused FTBFS with cmake 2.6
    (closes: #482246).

 -- Petr Rockai <mornfall@debian.org>  Mon, 26 May 2008 23:24:47 +0200

libwibble (0.1.16) unstable; urgency=low

  * Added missing commandline::ExistingFile::toString

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 10:16:57 +0800
