## libwibble 0.1.22

=== CMakeLists.txt ===
include( FindDoxygen )
set( VERSION "0.1.22" )
option( HAVE_TUT ON )
add_subdirectory( wibble )
add_subdirectory( doc )
