=== wibble/CMakeLists.txt ===
--- 
+++ 
@@ -7,17 +7,21 @@
 file( GLOB WSRC_SYS sys/*.cpp )
 file( GLOB WSRC_LOG log/*.cpp )
 file( GLOB WSRC_TEXT text/*.cpp )
+file( GLOB WSRC_GRCAL grcal/*.cpp )
+file( GLOB WSRC_STREAM stream/*.cpp )
 file( GLOB H_TOP *.h )
 file( GLOB H_CMDL commandline/*.h )
 file( GLOB H_SYS sys/*.h )
 file( GLOB H_LOG log/*.h )
 file( GLOB H_TEXT text/*.h )
+file( GLOB H_GRCAL grcal/*.h )
+file( GLOB H_STREAM stream/*.h )
 file( GLOB H_TESTS tests/*.h )
 file( GLOB TCC_TOP *.tcc )
 file( GLOB testh *.test.h commandline/*.test.h sys/*.test.h
-                 log/*.test.h text/*.test.h )
+                 log/*.test.h text/*.test.h grcal/*.test.h stream/*.test.h )
 
-set( WSRC ${WSRC_TOP} ${WSRC_CMDL} ${WSRC_SYS} ${WSRC_LOG} ${WSRC_TEXT} )
+set( WSRC ${WSRC_TOP} ${WSRC_CMDL} ${WSRC_SYS} ${WSRC_LOG} ${WSRC_TEXT} ${WSRC_GRCAL} ${WSRC_STREAM})
 
 # libwibble.a
 set_source_files_properties( ${WSRC} COMPILE_FLAGS -fPIC )
@@ -52,6 +56,8 @@
 install( FILES ${H_SYS} DESTINATION include/wibble/sys )
 install( FILES ${H_LOG} DESTINATION include/wibble/log )
 install( FILES ${H_TEXT} DESTINATION include/wibble/text )
+install( FILES ${H_GRCAL} DESTINATION include/wibble/grcal )
+install( FILES ${H_STREAM} DESTINATION include/wibble/stream )
 install( FILES ${H_TESTS} DESTINATION include/wibble/tests )
 install( FILES test.cmake DESTINATION share/wibble )
 install( FILES test-genrunner.pl
