=== debian/control ===
Source: libwibble
Section: libdevel
Priority: optional
Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
Uploaders: Petr Rockai <mornfall@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>> 4.1), dh-buildinfo, doxygen, cmake
Standards-Version: 3.7.3
Vcs-Darcs: http://people.debian.org/~enrico/wibble/standalone

Package: libwibble-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Description: Library of various useful C++ code
 libwibble collects the foundation code that has been used over time
 in various C++ projects by Peter Rockai and Enrico Zini, so that it can
 be maintained properly and in a single place.
 .
 The code has minimal dependencies, a test suite, and can be used either as an
 external library or embedded in projects based on either cmake or autotools.
 .
 The library contains:
  * an exception hierarchy;
  * various useful mixin classes;
  * shortcuts for set operations;
  * a featureful self-documenting commandline parser that also supports
    cvs/svn-style subcommands;
  * two different unit-testing system, a tut-based and a custom one;
  * a non-intrusive polymorphic envelope;
  * a logging system;
  * string functions, like splitting, path manipulation, regular
    expressions and word wrapping;
  * system functions, like directory iteration, file manipulation, process
    control, thread functions;
  * gregorian calendar operations.
