=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# TODO workaround for cmake breakage; debian bug #459207
CC = /usr/bin/gcc
CXX = /usr/bin/g++

DEB_MAKE_CHECK_TARGET := check
# Comment out the following line to use cmake
#DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

build/libwibble-dev::
	make -C ${DEB_BUILDDIR} doc

# I'd like to use debian/libwibble-dev.docs, but I have to invoke
# dh_installdocs here since the name of the build directory changes every time.
binary-install/libwibble-dev::
	dh_installdocs -p$(cdbs_curpkg) -n ${DEB_BUILDDIR}/doc/html
