## libwibble 1.1

=== CMakeLists.txt ===
include( FindDoxygen )
set( VERSION "1.1" )
option( HAVE_TUT ON )
if( NOT WIN32 )
    add_definitions( -DPOSIX )
endif()
add_custom_target( unit )
add_subdirectory( wibble )
add_subdirectory( doc )
