=== wibble/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
   }" HAVE_STRUCT_DIRENT_D_TYPE )
 
 configure_file( ${wibble_SOURCE_DIR}/config.h.cmake-in ${wibble_BINARY_DIR}/config.h )
-add_definitions( -DHAVE_CONFIG_H )
+add_definitions( -DHAVE_CONFIG_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 )
 
 # glob through source files/headers
 file( GLOB WSRC_TOP *.cpp )
@@ -39,7 +39,9 @@
 
 # on some mingw32, regex.h is not on the default include path
 find_path( RX_PATH regex.h )
-include_directories( ${RX_PATH} )
+if( RX_PATH )
+  include_directories( ${RX_PATH} )
+endif()
 
 # libwibble.a
 if( NOT WIN32 )
@@ -56,16 +58,16 @@
 target_link_libraries( wibble pthread )
 endif( WIN32 )
 
-if( NOT WIN32 )
 # make check
 wibble_add_test( wibble-test ${testh} )
 target_link_libraries( wibble-test wibble )
 wibble_check_target( wibble-test )
-endif( NOT WIN32 )
 
 set( prefix "${CMAKE_INSTALL_PREFIX}" )
 set( exec_prefix "${prefix}/bin" )
-set( libdir "${prefix}/lib" )
+if (NOT DEFINED libdir)
+	set( libdir "${prefix}/lib" )
+endif()
 set( includedir "${prefix}/include" )
 
 # cmake-time configuration
@@ -73,10 +75,10 @@
                 ${wibble_BINARY_DIR}/libwibble.pc @ONLY )
 
 # make install
-install( TARGETS wibble DESTINATION lib COMPONENT wibble_dev )
+install( TARGETS wibble DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE} COMPONENT wibble_dev )
 
 if( NOT WIN32 )
-install( FILES ${wibble_BINARY_DIR}/libwibble.pc DESTINATION lib/pkgconfig COMPONENT wibble_dev )
+install( FILES ${wibble_BINARY_DIR}/libwibble.pc DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}/pkgconfig COMPONENT wibble_dev )
 install( FILES libwibble.m4 DESTINATION share/aclocal COMPONENT wibble_dev )
 install( FILES wibble-test-genrunner.1 DESTINATION share/man/man1 COMPONENT wibble_dev )
 endif( NOT WIN32 )
