=== debian/changelog ===
libwibble (1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group. (See: #813208, Closes: #869342)
  * Remove Vcs-Darcs and Homepage fields, both are no
    longer available. (Closes: #861673)
  * Remove tarball and darcs targets from debian/rules because of no
    longer existing darcs service.
  * Convert to source format 3.0 (quilt).
  * Honour SOURCE_DATE_EPOCH for date in generated manpages.
    Thanks to Chris Lamb for the patch (Closes: #861672)
  * Bump debhelper compatibility to 10.
  * Bump Standards-Version to 4.1.0.
  * Clean doxygen cruft with dh_doxygen.
  * Register documentation at doc-base.
  * Mark libwibble-dev as Multi-Arch: same.
  * Remove unneeded libwibble.dirs file.
  * Drop use of dh-buildinfo as .buildinfo files are also generated by
    dpkg-genbuildinfo.
  * Add lintian override for embedded-javascript-library caused by
    jquery.js from doxygen.
  * Do not run the tests when DEB_BUILD_OPTIONS=nocheck is set.
    This fixes cross build of libwibble. (Closes: #718618)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 19 Sep 2017 17:43:54 +0200

libwibble (1.1-1) unstable; urgency=low

  * New upstream version
     - Reimplemented Directory so it can be iterated twice
     - Added new sys::fs functions

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Oct 2013 11:55:11 +0200

libwibble (1.0-1) unstable; urgency=low

  * New upstream version
     - fixed mkdirIfMissing for freebsd
     - use proper (insane) struct direct allocation to make it portable
     - skip file locking in file logger for hurd, which doesn't support
       F_SETLK
     - bumped release to 1.0

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Oct 2013 17:12:39 +0200

libwibble (0.2.3-1) unstable; urgency=low

  * New upstream version
     - reverted an accidental API-incompatible change in sys::fs::stat
     - use flock instead of flock64, which is missing on hurd and should do
       the right thing

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Oct 2013 23:36:36 +0200

libwibble (0.2.2-1) unstable; urgency=low

  * New upstream version
     - fixed uninitialized Option::hidden, which caused options to randomly
       disappear from command line help
     - sys/thread.h: #include <unistd.h> so that sleep and usleep are defined
     - added new test infrastructure, with backtraces, exception catching and
       the possibility of setting context information, for example the
       iteration number for tests run in a loop
     - parse.h: added a framework for writing backtracking recursive-descent
       parsers
     - sys/pipe.h: added PipeThrough to run data through a filter child
       process
     - [c++11-only]: added RAII helpers
     - [c++11-only]: added StrongEnumFlags
     - [c++11-only]: added a new MMap interface
  * Ported to debhelper 7

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Oct 2013 20:09:50 +0200

libwibble (0.2.0-1) unstable; urgency=low

  * New upstream version
     - API has changed!
     - API is now independent of _FILE_OFFSET_BITS on 32bit systems
     - Removed deprecated functions sys::fs::isDirectory and printf-style
       str::fmt
     - sys::fs::Directory has been mostly rewritten with a cleaner interface

 -- Enrico Zini <enrico@debian.org>  Thu, 11 Aug 2011 16:39:14 +0200

libwibble (0.1.28-1) unstable; urgency=low

  * New upstream version
     - Added a missing include. Thanks Ilya Barygin for the patch.
       Closes: #625046
  * Changed maintainer to myself, list has been closed
  * Updated standards-version, no changes required

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jul 2011 12:59:57 +0200

libwibble (0.1.27-1) unstable; urgency=low

  * New upstream version
     - Various fixes and several functions added, especially a TCP
       server, MIME parsing code and an HTTP server implementation

 -- Enrico Zini <enrico@debian.org>  Sun, 13 Feb 2011 18:27:27 +0000

libwibble (0.1.26-1) unstable; urgency=low

  * Make process::getcwd() work on freebsd. Thanks to Pino Toscano.

 -- Enrico Zini <enrico@debian.org>  Tue, 11 May 2010 13:41:43 +0100

libwibble (0.1.25-1) unstable; urgency=low

  * New upstream version
     - Disallow copy of Mutex and Condition objects

 -- Enrico Zini <enrico@debian.org>  Sun, 28 Feb 2010 13:00:44 +0000

libwibble (0.1.24-1) unstable; urgency=low

  * Disabled tests that fail on HPPA until mornfall will manage to
    investigate. Closes: #561187.

 -- Enrico Zini <enrico@debian.org>  Tue, 15 Dec 2009 17:36:34 +0000

libwibble (0.1.23-1) unstable; urgency=low

  * New upstream version
     + Add wibble::sys
     + Improvement in Mutex
     + Lockfile support
     + Added missing include. Closes: #504896
     + Added today and now to grcal
     + Deprecate str::fmt(format, args...) in favour of str::fmtf
  * Switch to non-native packaging
  * Updated standards-version
  * Updated Vcs-Darcs location
  * Added Homepage field

 -- Enrico Zini <enrico@debian.org>  Mon, 14 Dec 2009 13:24:26 +0000
