=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: libwibble
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
-Uploaders: Petr Rockai <mornfall@debian.org>, Enrico Zini <enrico@debian.org>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>> 4.1), dh-buildinfo, doxygen, cmake
-Standards-Version: 3.7.3
-Vcs-Darcs: http://people.debian.org/~enrico/wibble/standalone
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 10), doxygen, cmake
+Standards-Version: 4.1.0
 
 Package: libwibble-dev
-Section: libdevel
 Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}
 Recommends: pkg-config
 Description: Library of various useful C++ code
  libwibble collects the foundation code that has been used over time
