=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build
	make -C $(BUILDDIR) doc

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	make -C $(BUILDDIR) unit
endif

override_dh_auto_install:
	dh_auto_install
	dh_installdocs -plibwibble-dev -n $(BUILDDIR)/doc/html
	dh_doxygen
